Opened 10 months ago

Last modified 4 days ago

#29780 new enhancement

Run travis with python2 and python3

Reported by: teor Owned by:
Priority: Medium Milestone: Tor: unspecified
Component: Core Tor/Tor Version:
Severity: Normal Keywords: fast-fix, 035-backport-maybe, 040-backport, 034-unreached-backport-maybe
Cc: Actual Points:
Parent ID: Points: 0.2
Reviewer: Sponsor:

Description

We should make sure all of tor's test python scripts run in environments where python3 is the default.

(Scripts are also allowed to explicitly require python3. But they can't depend on python2, because it is end of life on 1 Jan 2020.)

We should be able to copy the python bits of our chutney travis config into Tor.

Let's just pick the newest python 3?

Child Tickets

Change History (4)

comment:1 Changed 7 months ago by nickm

Removing 034-backport from all open tickets: 034 has reached EOL.

comment:2 Changed 5 months ago by teor

Keywords: 034-unreached-backport-maybe added; 034-backport-maybe removed

0.3.4 is unsupported, we won't be backporting anything else to it.

comment:3 Changed 4 days ago by teor

0.2.9 is no longer maintained as of 1 January 2020. Therefore, we won't be backporting anything to it.

(None of these tickets are merge_ready, so we can just delete the backport tag.)

comment:4 Changed 4 days ago by teor

Keywords: 029-backport-maybe removed

0.2.9 is no longer maintained as of 1 January 2020. Therefore, we won't be backporting anything to it.

(None of these tickets are merge_ready, so we can just delete the 029-backport-maybe tag.)

Note: See TracTickets for help on using tickets.